require "/scripts/versioningutils.lua"

armorConversions = {
  apextier5head = "apextier5ahead",
  apextier6head = "apextier5mhead",
  apextier7head = "apextier5shead",
  apextier8head = "apextier6shead",
  apextier9head = "apextier6ahead",
  apextier10head = "apextier6mhead",
  aviantier5head = "aviantier6shead",
  aviantier6head = "aviantier6ahead",
  aviantier7head = "aviantier5ahead",
  aviantier8head = "aviantier5mhead",
  aviantier9head = "aviantier5shead",
  aviantier10head = "aviantier6mhead",
  florantier5head = "florantier5mhead",
  florantier6head = "florantier5ahead",
  florantier7head = "florantier5shead",
  florantier8head = "florantier6ahead",
  florantier9head = "florantier6mhead",
  florantier10head = "florantier6shead",
  glitchtier5head = "glitchtier5mhead",
  glitchtier6head = "glitchtier5ahead",
  glitchtier7head = "glitchtier5shead",
  glitchtier8head = "glitchtier6mhead",
  glitchtier9head = "glitchtier6ahead",
  glitchtier10head = "glitchtier6shead",
  humantier5head = "humantier5ahead",
  humantier6head = "humantier6ahead",
  humantier7head = "humantier6mhead",
  humantier8head = "humantier5shead",
  humantier9head = "humantier5mhead",
  humantier10head = "humantier6shead",
  hylotltier5head = "hylotltier5mhead",
  hylotltier6head = "hylotltier5ahead",
  hylotltier7head = "hylotltier5shead",
  hylotltier8head = "hylotltier6ahead",
  hylotltier9head = "hylotltier6shead",
  hylotltier10head = "hylotltier6mhead",
  novatier5head = "novatier5mhead",
  novatier6head = "novatier6mhead",
  novatier7head = "novatier5ahead",
  novatier8head = "novatier6ahead",
  novatier9head = "novatier5shead",
  novatier10head = "novatier6shead",

  apextier5chest = "apextier5achest",
  apextier6chest = "apextier5mchest",
  apextier7chest = "apextier5schest",
  apextier8chest = "apextier6schest",
  apextier9chest = "apextier6achest",
  apextier10chest = "apextier6mchest",
  aviantier5chest = "aviantier6schest",
  aviantier6chest = "aviantier6achest",
  aviantier7chest = "aviantier5achest",
  aviantier8chest = "aviantier5mchest",
  aviantier9chest = "aviantier5schest",
  aviantier10chest = "aviantier6mchest",
  florantier5chest = "florantier5mchest",
  florantier6chest = "florantier5achest",
  florantier7chest = "florantier5schest",
  florantier8chest = "florantier6achest",
  florantier9chest = "florantier6mchest",
  florantier10chest = "florantier6schest",
  glitchtier5chest = "glitchtier5mchest",
  glitchtier6chest = "glitchtier5achest",
  glitchtier7chest = "glitchtier5schest",
  glitchtier8chest = "glitchtier6mchest",
  glitchtier9chest = "glitchtier6achest",
  glitchtier10chest = "glitchtier6schest",
  humantier5chest = "humantier5achest",
  humantier6chest = "humantier6achest",
  humantier7chest = "humantier6mchest",
  humantier8chest = "humantier5schest",
  humantier9chest = "humantier5mchest",
  humantier10chest = "humantier6schest",
  hylotltier5chest = "hylotltier5mchest",
  hylotltier6chest = "hylotltier5achest",
  hylotltier7chest = "hylotltier5schest",
  hylotltier8chest = "hylotltier6achest",
  hylotltier9chest = "hylotltier6schest",
  hylotltier10chest = "hylotltier6mchest",
  novatier5chest = "novatier5mchest",
  novatier6chest = "novatier6mchest",
  novatier7chest = "novatier5achest",
  novatier8chest = "novatier6achest",
  novatier9chest = "novatier5schest",
  novatier10chest = "novatier6schest",

  apextier5pants = "apextier5apants",
  apextier6pants = "apextier5mpants",
  apextier7pants = "apextier5spants",
  apextier8pants = "apextier6spants",
  apextier9pants = "apextier6apants",
  apextier10pants = "apextier6mpants",
  aviantier5pants = "aviantier6spants",
  aviantier6pants = "aviantier6apants",
  aviantier7pants = "aviantier5apants",
  aviantier8pants = "aviantier5mpants",
  aviantier9pants = "aviantier5spants",
  aviantier10pants = "aviantier6mpants",
  florantier5pants = "florantier5mpants",
  florantier6pants = "florantier5apants",
  florantier7pants = "florantier5spants",
  florantier8pants = "florantier6apants",
  florantier9pants = "florantier6mpants",
  florantier10pants = "florantier6spants",
  glitchtier5pants = "glitchtier5mpants",
  glitchtier6pants = "glitchtier5apants",
  glitchtier7pants = "glitchtier5spants",
  glitchtier8pants = "glitchtier6mpants",
  glitchtier9pants = "glitchtier6apants",
  glitchtier10pants = "glitchtier6spants",
  humantier5pants = "humantier5apants",
  humantier6pants = "humantier6apants",
  humantier7pants = "humantier6mpants",
  humantier8pants = "humantier5spants",
  humantier9pants = "humantier5mpants",
  humantier10pants = "humantier6spants",
  hylotltier5pants = "hylotltier5mpants",
  hylotltier6pants = "hylotltier5apants",
  hylotltier7pants = "hylotltier5spants",
  hylotltier8pants = "hylotltier6apants",
  hylotltier9pants = "hylotltier6spants",
  hylotltier10pants = "hylotltier6mpants",
  novatier5pants = "novatier5mpants",
  novatier6pants = "novatier6mpants",
  novatier7pants = "novatier5apants",
  novatier8pants = "novatier6apants",
  novatier9pants = "novatier5spants",
  novatier10pants = "novatier6spants"
}

function update(data)
  if armorConversions[data.name] then
    data.name = armorConversions[data.name]
  end

  return data
end
